Imagick::setSize
Imagick::setType
The Imagick class
PHP Manual

# Imagick::setSizeOffset

(PECL imagick 2.0.0)

Imagick::setSizeOffset — Sets the size and offset of the Imagick object

### Description

bool Imagick::setSizeOffset ( int `$columns` , int `$rows` , int `$offset` )
Warning

This function is currently not documented; only its argument list is available.

Sets the size and offset of the Imagick object. Set it before you read a raw image format such as RGB, GRAY, or CMYK. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`columns`

  The width in pixels.

`rows`

  The height in pixels.

`offset`

  The image offset.

### Return Values

Returns `TRUE` on success.

Imagick::setSize
Imagick::setType
The Imagick class
PHP Manual